Subject: Re: bug#23576: [documentation] ‘Using Emacs as aServer’: ‘M-xset-variable RET server-name RET foo RET’

From: Eli Zaretskii <[email-masked]>
Date: Wed, 18 May 2016 22:53:33 +0300

> From: Dmitry Alexandrov <[email-masked]>
> Date: Wed, 18 May 2016 22:25:38 +0300
> 
> Chapter 38 ‘Using Emacs as a Server’ in ‘GNU Emacs Manual’ says [0] the 
> following:
> 
>      You can run multiple Emacs servers on the same machine by giving
>      each one a unique “server name”, using the variable server-name. For
>      example, M-x set-variable RET server-name RET foo RET sets the
>      server name to ‘foo’.
> 
> [0] 
> https://www.gnu.org/software/emacs/manual/html_node/emacs/Emacs-Server.html
> 
> First of all, ‘M-x set-variable RET server-name RET foo RET’ just does 
> not work, returning “Value ‘foo’ does not match type string of 
> server-name”.  It actually should be ‘M-x set-variable RET server-name 
> RET "foo" RET’, since ‘server-name’ requires a string.

Fixed on the release branch.

> However, I found this example pretty confusing in general: when the 
> server is not started yet, setting ‘server-name’ with ‘M-x set-variable’ 
> is impossible (variable does not exist yet);

Fixed on master branch.

> when the server is already running, there is no much sense in
> setting it, since it does not rename the instance on-the-fly.

But it affects the next one.

> ¿Would not it be more useful to give as an example of how to start 
> multiple Emacs servers something like:
> 
> $ emacs --eval '(setq server-name "foo")' --daemon

I added this, but I don't think it should replace what's in the
manual: not all the uses of the server are in daemon sessions.

Thanks.